Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ServerRequestInfo_CORBA_Policy_copy Class Reference

Inheritance diagram for TAO_ServerRequestInfo_CORBA_Policy_copy:

[legend]
Collaboration diagram for TAO_ServerRequestInfo_CORBA_Policy_copy:

[legend]
List of all members.

## Public Methods
| TAO_ServerRequestInfo_CORBA_Policy_copy (TAO_ServerRequest &_tao_server_request, TAO_Object_Adapter::Servant_Upcall *tao_servant_upcall, POA_CORBA::Policy *tao_impl ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual Dynamic::ParameterList * | arguments (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the list of arguments passed to the current operation. More...
virtual Dynamic::ExceptionList * | exceptions (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the list of exceptions the current operation is capable of throwing. More...
virtual CORBA::Any * | result (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the result of the current request. If there is no return value then an Any with tk_void TypeCode is returned. This is method is not valid for oneway operations. More...
virtual char * | target_most_derived_interface (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the most derived interface of the target object. More...
virtual CORBA::Boolean | target_is_a (const char *id ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Returns true if the target's type corresponds to the given RepositoryId. More...
void | result (::CORBA::Policy_ptr result)
## Private Methods
| TAO_ServerRequestInfo_CORBA_Policy_copy (const TAO_ServerRequestInfo_CORBA_Policy_copy &)
void | operator= (const TAO_ServerRequestInfo_CORBA_Policy_copy &)
## Private Attributes
POA_CORBA::Policy * | _tao_impl
::CORBA::Policy_ptr | _result

## Constructor & Destructor Documentation

TAO_ServerRequestInfo_CORBA_Policy_copy::TAO_ServerRequestInfo_CORBA_Policy_copy | ( | TAO_ServerRequest & | _tao_server_request,
|  | TAO_Object_Adapter::Servant_Upcall * | _tao_servant_upcall,
|  | POA_CORBA::Policy *tao_impl | ACE_ENV_ARG_DECL_NOT_USED
| ) |

TAO_ServerRequestInfo_CORBA_Policy_copy::TAO_ServerRequestInfo_CORBA_Policy_copy | ( | const TAO_ServerRequestInfo_CORBA_Policy_copy & |  | ) | `[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ServerRequestInfo_CORBA_Policy_copy::arguments | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of arguments passed to the current operation. Reimplemented from TAO_ServerRequestInfo.

Dynamic::ExceptionList * TAO_ServerRequestInfo_CORBA_Policy_copy::exceptions | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of exceptions the current operation is capable of throwing. Reimplemented from TAO_ServerRequestInfo.

void TAO_ServerRequestInfo_CORBA_Policy_copy::operator= | ( | const TAO_ServerRequestInfo_CORBA_Policy_copy & |  | ) | `[private]`

void TAO_ServerRequestInfo_CORBA_Policy_copy::result | ( | ::CORBA::Policy_ptr | result | ) |

CORBA::Any * TAO_ServerRequestInfo_CORBA_Policy_copy::result | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the result of the current request. If there is no return value then an Any with tk_void TypeCode is returned. This is method is not valid for oneway operations. Reimplemented from TAO_ServerRequestInfo.

CORBA::Boolean TAO_ServerRequestInfo_CORBA_Policy_copy::target_is_a | ( | const char *id | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Returns true if the target's type corresponds to the given RepositoryId. Reimplemented from TAO_ServerRequestInfo.

char * TAO_ServerRequestInfo_CORBA_Policy_copy::target_most_derived_interface | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the most derived interface of the target object. Reimplemented from TAO_ServerRequestInfo.

## Member Data Documentation

::CORBA::Policy_ptr TAO_ServerRequestInfo_CORBA_Policy_copy::_result`[private]`

POA_CORBA::Policy* TAO_ServerRequestInfo_CORBA_Policy_copy::_tao_impl`[private]`

The documentation for this class was generated from the following file:

- PolicyS.cpp